[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#386460: marked as done (Building a package with libqt4-dev on arm times out)



Your message dated Sat, 07 Oct 2006 08:34:37 -0700
with message-id <E1GWECD-0004tz-HA@spohr.debian.org>
and subject line Bug#386460: fixed in qt4-x11 4.2.0-1
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: libqt4-dev
Version: 4.1.4-1.1
Severity: normal

Hi,

my package qbrew FTBFS on arm, it links against libqt4. The reason for the 
build failure is a time out while running this command:
/usr/bin/uic-qt4 src/calcconfig.ui -o build/ui_calcconfig.h

I've talked to the arm porters on IRC, and they suggested that it might be 
related to libqt4 not being compiled with -DQT_QLOCALE_USES_FCVT, which was 
a needed fix for libqt3 on arm. From the changelog:

qt-x11-free (3:3.3.3-4.1) unstable; urgency=high 
   * On arm-linux, configure using -DQT_QLOCALE_USES_FCVT. Seems to be a
     known issue, mentioned in the 3.3.2 release notes, but nowhere in
     the 3.3.3 sources. Great! Thanks to Paul Brook and Jan Niehusmann for
     the investigations. Closes: #270202.

The build log of my package qbrew can be found here:
<http://buildd.debian.org/fetch.php?&pkg=qbrew&ver=0.3.9-2&arch=arm&stamp=1157506321&file=log&as=raw>

Are you aware of this problem? Is anyone trying to compile qt4 
with -DQT_QLOCALE_USES_FCVT on arm, to see if the problem can be solved?

Regards,
Tobias

-- 
Tobias Toedter   | Early to bed and early to rise and you'll
Hamburg, Germany | be groggy when everyone else is wide awake.

Attachment: pgpl7b71dCbHA.pgp
Description: PGP signature


--- End Message ---
--- Begin Message ---
Source: qt4-x11
Source-Version: 4.2.0-1

We believe that the bug you reported is fixed in the latest version of
qt4-x11, which is due to be installed in the Debian FTP archive:

libqt4-core_4.2.0-1_i386.deb
  to pool/main/q/qt4-x11/libqt4-core_4.2.0-1_i386.deb
libqt4-debug_4.2.0-1_i386.deb
  to pool/main/q/qt4-x11/libqt4-debug_4.2.0-1_i386.deb
libqt4-dev_4.2.0-1_i386.deb
  to pool/main/q/qt4-x11/libqt4-dev_4.2.0-1_i386.deb
libqt4-gui_4.2.0-1_i386.deb
  to pool/main/q/qt4-x11/libqt4-gui_4.2.0-1_i386.deb
libqt4-qt3support_4.2.0-1_i386.deb
  to pool/main/q/qt4-x11/libqt4-qt3support_4.2.0-1_i386.deb
libqt4-sql_4.2.0-1_i386.deb
  to pool/main/q/qt4-x11/libqt4-sql_4.2.0-1_i386.deb
qt4-designer_4.2.0-1_i386.deb
  to pool/main/q/qt4-x11/qt4-designer_4.2.0-1_i386.deb
qt4-dev-tools_4.2.0-1_i386.deb
  to pool/main/q/qt4-x11/qt4-dev-tools_4.2.0-1_i386.deb
qt4-doc_4.2.0-1_all.deb
  to pool/main/q/qt4-x11/qt4-doc_4.2.0-1_all.deb
qt4-qtconfig_4.2.0-1_i386.deb
  to pool/main/q/qt4-x11/qt4-qtconfig_4.2.0-1_i386.deb
qt4-x11_4.2.0-1.diff.gz
  to pool/main/q/qt4-x11/qt4-x11_4.2.0-1.diff.gz
qt4-x11_4.2.0-1.dsc
  to pool/main/q/qt4-x11/qt4-x11_4.2.0-1.dsc
qt4-x11_4.2.0.orig.tar.gz
  to pool/main/q/qt4-x11/qt4-x11_4.2.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386460@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brian Nelson <pyro@debian.org> (supplier of updated qt4-x11 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  6 Oct 2006 23:16:46 -0400
Source: qt4-x11
Binary: libqt4-sql libqt4-core qt4-doc libqt4-debug libqt4-qt3support qt4-designer libqt4-dev qt4-dev-tools libqt4-gui qt4-qtconfig
Architecture: source i386 all
Version: 4.2.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Brian Nelson <pyro@debian.org>
Description: 
 libqt4-core - Qt 4 core non-GUI functionality runtime library
 libqt4-debug - Qt 4 library debugging symbols
 libqt4-dev - Qt 4 development files
 libqt4-gui - Qt 4 core GUI functionality runtime library
 libqt4-qt3support - Qt 3 compatibility library for Qt 4
 libqt4-sql - Qt 4 SQL database module
 qt4-designer - Qt 4 Designer
 qt4-dev-tools - Qt 4 development tools
 qt4-doc    - Qt 4 API documentation
 qt4-qtconfig - Qt 4 configuration tool
Closes: 357136 380253 380418 382238 386460 390925
Changes: 
 qt4-x11 (4.2.0-1) unstable; urgency=low
 .
   * New upstream release
     - No longer includes "CONFIG = ... debug" in the mkspecs/qconfig.pri
       (Closes: #357136)
     - Fixes QFontDialog assert() failures (Closes: #380418)
 .
   * debian/control: made libqt4-gui conflict/replace libqt4-designer, to
     ensure that old package is removed (Closes: #380253)
 .
   * Enable Qt's new support for using the system's SQLite 3 library
     (Closes: #382238)
 .
   * debian/rules: removed the PostgreSQL and MySQL include hacks from the
     configure arguments, since the configure script now autodetects them
     itself
 .
   * debian/patches/10_qmake_for_debian.dpatch: updated for new upstream
 .
   * debian/patches/13_arm_ftbfs_fixes.dpatch: updated for new upstream
 .
   * debian/patches/19_s390_atomic.dpatch: removed, since it appears to be
     obsolete
 .
   * debian/libqt4-debug.install: changed the wildcards to match the new
     debug lib names.  What was once *_debug.so.* is now *.debug.  Ick.
 .
   * debian/control: removed libqt4-debug-dev since now that the _debug
     libs have been removed and debugging symbols are shipped in their
     place, this package is no longer needed
 .
   * Tar up the demos directory and include it in qt4-doc.  Also added the
     qtdemo binary to libqt4-dev. (Closes: #390925)
 .
   * debian/rules: add -DQT_QLOCALE_USES_FCVT to the configure arguments
     when building on arm, like Qt3, to fix a uic problem (Closes: #386460)
 .
   * debian/libqt4-gui.install: added usr/lib/libQtAssistantClient.so.*,
     since it's now shipped as a shared library; previously it was a static
     library
 .
   * Added build-deps on libdbus-1-dev and libglib2.0-dev, and added
     libQtDBus to the libqt4-core package
Files: 
 3deda0248a178025653b622ed9ab6c0b 1395 libs optional qt4-x11_4.2.0-1.dsc
 2c062a125d5ca66397e3430ba537fbec 37084418 libs optional qt4-x11_4.2.0.orig.tar.gz
 c8d019db3adb9635e6ea9ab6bd23f1f4 20299 libs optional qt4-x11_4.2.0-1.diff.gz
 39b22bec9e2e7fab15c440dcaf63e4e1 21242036 doc optional qt4-doc_4.2.0-1_all.deb
 1fd3772ee3db0dcbd886629d1d312964 4172444 libdevel optional libqt4-dev_4.2.0-1_i386.deb
 fa6c60a241ffac8cbffe63186ca371a8 1160466 libs optional libqt4-core_4.2.0-1_i386.deb
 9a3a3e8f07b6dfa4c161b23ae5aa146c 4488778 libs optional libqt4-gui_4.2.0-1_i386.deb
 8985ace9c536ab3b4c13aeed23c00e32 165014 libs optional libqt4-sql_4.2.0-1_i386.deb
 af22bd5771c020740622d2fbab9ae416 1242778 libs optional libqt4-qt3support_4.2.0-1_i386.deb
 790814c572ed0848cf0212387314ab55 1053580 devel optional qt4-designer_4.2.0-1_i386.deb
 e86f46430af3d1fb1e6463ce2b33e5d3 51688204 libs optional libqt4-debug_4.2.0-1_i386.deb
 50ba0b654858cc94316be8e9eb162c04 762526 devel optional qt4-dev-tools_4.2.0-1_i386.deb
 61ad409db1367a36c978004f99156e4b 118130 x11 optional qt4-qtconfig_4.2.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFJ7fO1Ng1YWbyRSERAjU3AKCKg/ZCInHWZy426c7cT/J3YsupmwCeL3KW
NERLzbtL1ADE8gQi+YZGIm0=
=Opnr
-----END PGP SIGNATURE-----


--- End Message ---

Reply to: